#ifndef __SHQN_DRAWCORE__
#define __SHQN_DRAWCORE__

#include "grafocore.h"

class DrawCore
{
public:
	enum State { S_INSERT_NODE, S_INSERT_ARC, S_EDIT };
	
	State  state;
	int    start_node;
	int    end_node;
	CPoint start_drag;
	CPoint end_drag;
	bool   captured;

	DrawCore();
	void drag_arc(CDC * wnd );
	void OnDraw(CDC* pDC,
		svector<Node> & nodes,
		svector<Arco> & arcs
	);
	void OnLButtonDown(UINT nFlags, CPoint point);
	void OnMouseMove(UINT nFlags, CPoint point);
	void OnLButtonUp(UINT nFlags, CPoint point);
};

#endif