// grapheditView.h : interface of the CGrapheditView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GRAPHEDITVIEW_H__5369F2CE_F096_11D4_9E24_0080C88B30AF__INCLUDED_)
#define AFX_GRAPHEDITVIEW_H__5369F2CE_F096_11D4_9E24_0080C88B30AF__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "drawcore.h"

class CGrapheditView : public CView
{
protected: // create from serialization only
	CGrapheditView();
	DECLARE_DYNCREATE(CGrapheditView)

// Attributes
public:
	DrawCore dc;

	
	CGrapheditDoc* GetDocument();

// Operations
public:

	void drag_arc();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGrapheditView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGrapheditView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGrapheditView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnModeInsertN();
	afx_msg void OnUpdateModeInsertN(CCmdUI* pCmdUI);
	afx_msg void OnModeInsertArc();
	afx_msg void OnUpdateModeInsertArc(CCmdUI* pCmdUI);
	afx_msg void OnModeEdit();
	afx_msg void OnUpdateModeEdit(CCmdUI* pCmdUI);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in grapheditView.cpp
inline CGrapheditDoc* CGrapheditView::GetDocument()
   { return (CGrapheditDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHEDITVIEW_H__5369F2CE_F096_11D4_9E24_0080C88B30AF__INCLUDED_)
